package com.pj.tb_wallet_record;

import java.util.List;

import com.pj.tb_wallet_record.vo.WalletRecordVo;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_wallet_record -- 服务点交易记录
 *
 * @author plj
 */
@RestController
@RequestMapping("/TbWalletRecord/")
public class TbWalletRecordController {

    /**
     * 底层 Service 对象
     */
    @Autowired
    TbWalletRecordService tbWalletRecordService;


    /**
     * 查 - 根据id
     */
    @RequestMapping("getById")
    @SaCheckPermission(TbWalletRecord.PERMISSION_CODE)
    public AjaxJson getById(Long id) {
        TbWalletRecord t = tbWalletRecordService.getById(id);
        return AjaxJson.getSuccessData(t);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    @SaCheckPermission(TbWalletRecord.PERMISSION_CODE)
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        List<TbWalletRecord> list = tbWalletRecordService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }




}
