package com.pj.tb_wallet_record;

import java.util.List;

import com.pj.current.dto.APPLoginUserInfo;
import com.pj.current.satoken.StpAPPUserUtil;
import com.pj.tb_order.TbOrder;
import com.pj.tb_wallet_record.vo.WalletRecordAppVo;
import com.pj.tb_wallet_record.vo.WalletRecordVo;
import com.pj.utils.so.SoMap;
import com.wechat.pay.java.service.payments.app.AppServiceExtension;
import com.wechat.pay.java.service.payments.app.model.QueryOrderByIdRequest;
import com.wechat.pay.java.service.payments.model.Transaction;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * Service: tb_wallet_record -- 服务点交易记录
 * @author plj 
 */
@Service
@Transactional(rollbackFor = Exception.class)
@Slf4j
public class TbWalletRecordService extends ServiceImpl<TbWalletRecordMapper, TbWalletRecord> implements IService<TbWalletRecord>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbWalletRecordMapper tbWalletRecordMapper;
	@Autowired
    WxPayProperties wxPayProperties;





	/** 查 */
	TbWalletRecord getById(Long id){
		List<TbWalletRecord> listObj=tbWalletRecordMapper.getList(new SoMap().set("id",id));
		if(listObj!=null && listObj.size()>0) {
			return listObj.get(0);
		}else {
			return  null;
		}
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbWalletRecord> getList(SoMap so) {
		return tbWalletRecordMapper.getList(so);
	}

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * APP专用 获取服务点关联记录包括充值、提现、扣除
	 *
	 * @param so
	 * @return
	 */
	List<WalletRecordAppVo> getAPPList(SoMap so) {
		return tbWalletRecordMapper.getAppList(so);
	}



}
