package com.pj.tb_wallet_topup;

import java.util.Date;
import java.util.List;

import com.github.binarywang.wxpay.bean.coupon.*;
import com.github.binarywang.wxpay.bean.notify.WxPayNotifyResponse;
import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxScanPayNotifyResult;
import com.github.binarywang.wxpay.bean.request.*;
import com.github.binarywang.wxpay.bean.result.*;
import com.github.binarywang.wxpay.exception.WxPayException;
import com.github.binarywang.wxpay.service.WxPayService;
import com.pj.tb_wallet_topup.vo.ValletTopupVo;
import com.pj.utils.so.SoMap;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_wallet_topup -- 服务点充值记录
 *
 * @author plj
 */
@RestController
@RequestMapping("/TbWalletTopup/")
public class TbWalletTopupController {

    /**
     * 底层 Service 对象
     */
    @Autowired
    TbWalletTopupService tbWalletTopupService;


    /**
     * 查 - 根据id
     */
    @RequestMapping("getById")
    @SaCheckPermission(TbWalletTopup.PERMISSION_CODE)
    public AjaxJson getById(Long id) {
        ValletTopupVo t = tbWalletTopupService.getById(id);
        return AjaxJson.getSuccessData(t);
    }

    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    @RequestMapping("getList")
    @SaCheckPermission(TbWalletTopup.PERMISSION_CODE)
    public AjaxJson getList() {
        SoMap so = SoMap.getRequestSoMap();
        List<ValletTopupVo> list = tbWalletTopupService.getList(so.startPage());
        return AjaxJson.getPageData(so.getDataCount(), list);
    }
    @RequestMapping("getSum")
    @SaCheckPermission(TbWalletTopup.PERMISSION_CODE)
    public AjaxJson getSum() {
        Integer sum= tbWalletTopupService.getSum();
        return AjaxJson.getSuccessData(sum);
    }


}
