package com.pj.tb_wallet_topup;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.pj.current.satoken.StpAPPUserUtil;
import com.pj.project4sp.SP;
import com.pj.tb_wallet_record.TbWalletRecord;
import com.pj.tb_wallet_topup.vo.ValletTopupVo;
import com.pj.utils.sg.AjaxJson;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * Controller: tb_wallet_topup -- 服务点充值记录
 * @author plj 
 */
@RestController
@RequestMapping("/app/TbWalletTopup/")
public class WalletTopupAppController {

	/** 底层 Service 对象 */
	@Autowired
	TbWalletTopupService tbWalletTopupService;

	/** 查 - 根据id */  
	@RequestMapping("getByPrePayId")
	public AjaxJson getByPrePayId(String prePayId){
		if (!StpAPPUserUtil.isLogin()){
			return AjaxJson.getError("用户未登录");
		}
		TbWalletTopup t = tbWalletTopupService.getByPrePayId(prePayId);
		return AjaxJson.getSuccessData(t);
	}
	/**
	 * 查 - 根据id
	 */
	@RequestMapping("getById")
	public AjaxJson getById(Long id) {
		if (!StpAPPUserUtil.isLogin()){
			return AjaxJson.getError("用户未登录");
		}
		TbWalletTopup t = tbWalletTopupService.getById(id);
		return AjaxJson.getSuccessData(t);
	}


}
